@echo off
rem Wrapper script for PETSCII2BASIC and exomizer

python PETSCII2BASIC.py -p 1 -f LISTSYS -o listart.tmp %1 

FOR /F "usebackq" %%A IN ('listart.tmp') DO set /a SIZE=%%~zA+2047
  echo Start address after listart is %SIZE%

exomizer %2 %3 %4 %5 %6 %7 %8 %9 -Di_load_addr=%SIZE%
if errorlevel 1 ( exit /b %errorlevel% )

rem identify the file just generated
for /f  "delims=" %%f in ('dir /b /od *.prg') do (
  set file=%%f
)

rem cut first two bytes from crunched file
dd if=%file% bs=1 skip=2 of=mainprg.tmp  >nul 2>&1

rem glue listart.tmp to the file just generated
cat listart.tmp mainprg.tmp > %file%

rem remove evidence
rm listart.tmp mainprg.tmp



